<?php
/**
 * Admin "Welcome" page content component
 *
 * Header.
 *
 * @package    Icelander
 * @copyright  WebMan Design, Oliver Juhas
 *
 * @since    1.0.0
 * @version  1.5.2
 */





// Requirements check

	if ( ! class_exists( 'Icelander_Welcome' ) ) {
		return;
	}


?>

<div class="wm-notes special">

	<h1>
		<?php

		printf(
			esc_html_x( 'Welcome to %1$s %2$s', '1: theme name, 2: theme version number.', 'icelander' ),
			'<strong>' . wp_get_theme( 'icelander' )->get( 'Name' ) . '</strong>',
			'<small>' . ICELANDER_THEME_VERSION . '</small>'
		);

		?>
	</h1>

	<div class="welcome-text about-text">
		<?php

		printf(
			esc_html_x( 'Thank you for using %1$s WordPress theme by %2$s!', '1: theme name, 2: theme developer link.', 'icelander' ),
			'<strong>' . wp_get_theme( 'icelander' )->get( 'Name' ) . '</strong>',
			'<a href="' . esc_url( wp_get_theme( 'icelander' )->get( 'AuthorURI' ) ) . '"><strong>WebMan Design</strong></a>'
		);

		?>
		<br>
		<?php esc_html_e( 'Please take time to read the steps below to set up your website.', 'icelander' ); ?>
		<br>
		<?php echo Icelander_Welcome::get_info_like(); ?>
	</div>

	<p class="wm-actions">

		<a href="https://webmandesign.github.io/docs/icelander/" class="button button-primary button-hero"><?php esc_html_e( 'Theme Documentation', 'icelander' ); ?></a>

		<a href="https://support.webmandesign.eu/" class="button button-hero"><?php esc_html_e( 'Support Center', 'icelander' ); ?></a>

	</p>

</div>

<div class="welcome-content">
